# Gets the Xml of the Previewed Invoice

## Gönderilecek faturayı ön izler.

> Xml olarak gönderilecek faturayı ön izlemek için bu ucu kullanabilirsiniz.

```json
{"openapi":"3.0.1","info":{"title":"E-Archive API","version":"v1"},"servers":[{"url":"/earchive"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}}},"paths":{"/Send/Xml/Preview":{"post":{"tags":["Send"],"summary":"Gönderilecek faturayı ön izler.","description":"Xml olarak gönderilecek faturayı ön izlemek için bu ucu kullanabilirsiniz.","parameters":[{"name":"TemplateUUID","in":"query","description":"Şablon UUID Bilgisi","schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}},"encoding":{"file":{"style":"form"}}}}},"responses":{"200":{"description":"Gönderilecek faturayı ön izler","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"},"409":{"description":"Gönderdiğiniz istek sistemde daha önce bulunduğunda dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#conflict-409\">tıklayınız</a>"},"422":{"description":"Gönderdiğiniz istek geçerli fakat iş kuralları gereği geçersiz değerler içerdiğinde dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#unprocessableentity-422\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var client = new RestClient("https://apitest.nilvera.com/earchive/Send/Model/Download");
client.Timeout = -1;
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"{
  "ArchiveInvoice": {
    "InvoiceInfo": {
      "UUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateUUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateBase64String": "string",
      "InvoiceType": "SATIS",
      "InvoiceSerieOrNumber": "string",
      "IssueDate": "2023-01-12T08:34:51.665Z",
      "CurrencyCode": "string",
      "ExchangeRate": 0,
      "DespatchDocumentReference": [
        {
          "IssueDate": "2023-01-12T08:34:51.665Z",
          "Value": "string"
        }
      ],
      "OrderReference": {
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "Value": "string"
      },
      "OrderReferenceDocument": {
        "ID": "string",
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "DocumentType": "string",
        "DocumentTypeCode": "string",
        "DocumentDescription": "string",
        "Attachment": {
          "Base64Data": "string",
          "MimeCode": "string",
          "FileName": "string"
        }
      },
      "AdditionalDocumentReferences": [
        {
          "ID": "string",
          "IssueDate": "2023-01-12T08:34:51.665Z",
          "DocumentType": "string",
          "DocumentTypeCode": "string",
          "DocumentDescription": "string",
          "Attachment": {
            "Base64Data": "string",
            "MimeCode": "string",
            "FileName": "string"
          }
        }
      ],
      "TaxExemptionReasonInfo": {
        "KDVExemptionReasonCode": "string",
        "OTVExemptionReasonCode": "string",
        "AccommodationTaxExemptionReasonCode": "string"
      },
      "PaymentTermsInfo": {
        "Percent": 0,
        "Amount": 0,
        "Note": "string"
      },
      "PaymentMeansInfo": {
        "Code": "string",
        "ChannelCode": "string",
        "DueDate": "2023-01-12T08:34:51.665Z",
        "PayeeFinancialAccountID": "string",
        "Note": "string"
      },
      "OKCInfo": {
        "ID": "string",
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "Time": "string",
        "ZNo": "string",
        "EndPointID": "string",
        "DocumentDescription": "string"
      },
      "ReturnInvoiceInfo": [
        {
          "InvoiceNumber": "string",
          "IssueDate": "2023-01-12T08:34:51.665Z"
        }
      ],
      "Expenses": [
        {
          "ExpenseType": "HKSKOMISYON",
          "Percent": 0,
          "Amount": 0
        }
      ],
      "ISDespatch": true,
      "SalesPlatform": "NORMAL",
      "SendType": "KAGIT",
      "InternetInfo": {
        "WebSite": "string",
        "PaymentMethod": "string",
        "PaymentMethodName": "string",
        "PaymentDate": "2023-01-12T08:34:51.665Z",
        "TransporterName": "string",
        "TransporterRegisterNumber": "string",
        "TransportDate": "2023-01-12T08:34:51.665Z"
      },
      "AccountingCost": "string",
      "LineExtensionAmount": 0,
      "GeneralKDV1Total": 0,
      "GeneralKDV8Total": 0,
      "GeneralKDV18Total": 0,
      "GeneralAllowanceTotal": 0,
      "PayableAmount": 0,
      "KdvTotal": 0
    },
    "CompanyInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "CustomerInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "InvoiceLines": [
      {
        "Index": "string",
        "SellerCode": "string",
        "BuyerCode": "string",
        "Name": "string",
        "Description": "string",
        "Quantity": 0,
        "UnitType": "string",
        "Price": 0,
        "AllowanceTotal": 0,
        "KDVPercent": 0,
        "KDVTotal": 0,
        "Taxes": [
          {
            "TaxCode": "string",
            "Total": 0,
            "Percent": 0,
            "ReasonCode": "string",
            "ReasonDesc": "string"
          }
        ],
        "ManufacturerCode": "string",
        "BrandName": "string",
        "ModelName": "string",
        "Note": "string",
        "OzelMatrahReason": "string",
        "OzelMatrahTotal": 0,
        "AdditionalItemIdentification": {
          "TagNumber": "string",
          "OwnerName": "string",
          "OwnerTaxNumber": "string"
        }
      }
    ],
    "Notes": [
      "string"
    ]
  }
}";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/earchive/Send/Model/Download',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "ArchiveInvoice": {
    "InvoiceInfo": {
      "UUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateUUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateBase64String": "string",
      "InvoiceType": "SATIS",
      "InvoiceSerieOrNumber": "string",
      "IssueDate": "2023-01-12T08:34:51.665Z",
      "CurrencyCode": "string",
      "ExchangeRate": 0,
      "DespatchDocumentReference": [
        {
          "IssueDate": "2023-01-12T08:34:51.665Z",
          "Value": "string"
        }
      ],
      "OrderReference": {
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "Value": "string"
      },
      "OrderReferenceDocument": {
        "ID": "string",
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "DocumentType": "string",
        "DocumentTypeCode": "string",
        "DocumentDescription": "string",
        "Attachment": {
          "Base64Data": "string",
          "MimeCode": "string",
          "FileName": "string"
        }
      },
      "AdditionalDocumentReferences": [
        {
          "ID": "string",
          "IssueDate": "2023-01-12T08:34:51.665Z",
          "DocumentType": "string",
          "DocumentTypeCode": "string",
          "DocumentDescription": "string",
          "Attachment": {
            "Base64Data": "string",
            "MimeCode": "string",
            "FileName": "string"
          }
        }
      ],
      "TaxExemptionReasonInfo": {
        "KDVExemptionReasonCode": "string",
        "OTVExemptionReasonCode": "string",
        "AccommodationTaxExemptionReasonCode": "string"
      },
      "PaymentTermsInfo": {
        "Percent": 0,
        "Amount": 0,
        "Note": "string"
      },
      "PaymentMeansInfo": {
        "Code": "string",
        "ChannelCode": "string",
        "DueDate": "2023-01-12T08:34:51.665Z",
        "PayeeFinancialAccountID": "string",
        "Note": "string"
      },
      "OKCInfo": {
        "ID": "string",
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "Time": "string",
        "ZNo": "string",
        "EndPointID": "string",
        "DocumentDescription": "string"
      },
      "ReturnInvoiceInfo": [
        {
          "InvoiceNumber": "string",
          "IssueDate": "2023-01-12T08:34:51.665Z"
        }
      ],
      "Expenses": [
        {
          "ExpenseType": "HKSKOMISYON",
          "Percent": 0,
          "Amount": 0
        }
      ],
      "ISDespatch": true,
      "SalesPlatform": "NORMAL",
      "SendType": "KAGIT",
      "InternetInfo": {
        "WebSite": "string",
        "PaymentMethod": "string",
        "PaymentMethodName": "string",
        "PaymentDate": "2023-01-12T08:34:51.665Z",
        "TransporterName": "string",
        "TransporterRegisterNumber": "string",
        "TransportDate": "2023-01-12T08:34:51.665Z"
      },
      "AccountingCost": "string",
      "LineExtensionAmount": 0,
      "GeneralKDV1Total": 0,
      "GeneralKDV8Total": 0,
      "GeneralKDV18Total": 0,
      "GeneralAllowanceTotal": 0,
      "PayableAmount": 0,
      "KdvTotal": 0
    },
    "CompanyInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "CustomerInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "InvoiceLines": [
      {
        "Index": "string",
        "SellerCode": "string",
        "BuyerCode": "string",
        "Name": "string",
        "Description": "string",
        "Quantity": 0,
        "UnitType": "string",
        "Price": 0,
        "AllowanceTotal": 0,
        "KDVPercent": 0,
        "KDVTotal": 0,
        "Taxes": [
          {
            "TaxCode": "string",
            "Total": 0,
            "Percent": 0,
            "ReasonCode": "string",
            "ReasonDesc": "string"
          }
        ],
        "ManufacturerCode": "string",
        "BrandName": "string",
        "ModelName": "string",
        "Note": "string",
        "OzelMatrahReason": "string",
        "OzelMatrahTotal": 0,
        "AdditionalItemIdentification": {
          "TagNumber": "string",
          "OwnerName": "string",
          "OwnerTaxNumber": "string"
        }
      }
    ],
    "Notes": [
      "string"
    ]
  }
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
  "ArchiveInvoice": {
    "InvoiceInfo": {
      "UUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateUUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateBase64String": "string",
      "InvoiceType": "SATIS",
      "InvoiceSerieOrNumber": "string",
      "IssueDate": "2023-01-12T08:34:51.665Z",
      "CurrencyCode": "string",
      "ExchangeRate": 0,
      "DespatchDocumentReference": [
        {
          "IssueDate": "2023-01-12T08:34:51.665Z",
          "Value": "string"
        }
      ],
      "OrderReference": {
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "Value": "string"
      },
      "OrderReferenceDocument": {
        "ID": "string",
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "DocumentType": "string",
        "DocumentTypeCode": "string",
        "DocumentDescription": "string",
        "Attachment": {
          "Base64Data": "string",
          "MimeCode": "string",
          "FileName": "string"
        }
      },
      "AdditionalDocumentReferences": [
        {
          "ID": "string",
          "IssueDate": "2023-01-12T08:34:51.665Z",
          "DocumentType": "string",
          "DocumentTypeCode": "string",
          "DocumentDescription": "string",
          "Attachment": {
            "Base64Data": "string",
            "MimeCode": "string",
            "FileName": "string"
          }
        }
      ],
      "TaxExemptionReasonInfo": {
        "KDVExemptionReasonCode": "string",
        "OTVExemptionReasonCode": "string",
        "AccommodationTaxExemptionReasonCode": "string"
      },
      "PaymentTermsInfo": {
        "Percent": 0,
        "Amount": 0,
        "Note": "string"
      },
      "PaymentMeansInfo": {
        "Code": "string",
        "ChannelCode": "string",
        "DueDate": "2023-01-12T08:34:51.665Z",
        "PayeeFinancialAccountID": "string",
        "Note": "string"
      },
      "OKCInfo": {
        "ID": "string",
        "IssueDate": "2023-01-12T08:34:51.665Z",
        "Time": "string",
        "ZNo": "string",
        "EndPointID": "string",
        "DocumentDescription": "string"
      },
      "ReturnInvoiceInfo": [
        {
          "InvoiceNumber": "string",
          "IssueDate": "2023-01-12T08:34:51.665Z"
        }
      ],
      "Expenses": [
        {
          "ExpenseType": "HKSKOMISYON",
          "Percent": 0,
          "Amount": 0
        }
      ],
      "ISDespatch": true,
      "SalesPlatform": "NORMAL",
      "SendType": "KAGIT",
      "InternetInfo": {
        "WebSite": "string",
        "PaymentMethod": "string",
        "PaymentMethodName": "string",
        "PaymentDate": "2023-01-12T08:34:51.665Z",
        "TransporterName": "string",
        "TransporterRegisterNumber": "string",
        "TransportDate": "2023-01-12T08:34:51.665Z"
      },
      "AccountingCost": "string",
      "LineExtensionAmount": 0,
      "GeneralKDV1Total": 0,
      "GeneralKDV8Total": 0,
      "GeneralKDV18Total": 0,
      "GeneralAllowanceTotal": 0,
      "PayableAmount": 0,
      "KdvTotal": 0
    },
    "CompanyInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "CustomerInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "InvoiceLines": [
      {
        "Index": "string",
        "SellerCode": "string",
        "BuyerCode": "string",
        "Name": "string",
        "Description": "string",
        "Quantity": 0,
        "UnitType": "string",
        "Price": 0,
        "AllowanceTotal": 0,
        "KDVPercent": 0,
        "KDVTotal": 0,
        "Taxes": [
          {
            "TaxCode": "string",
            "Total": 0,
            "Percent": 0,
            "ReasonCode": "string",
            "ReasonDesc": "string"
          }
        ],
        "ManufacturerCode": "string",
        "BrandName": "string",
        "ModelName": "string",
        "Note": "string",
        "OzelMatrahReason": "string",
        "OzelMatrahTotal": 0,
        "AdditionalItemIdentification": {
          "TagNumber": "string",
          "OwnerName": "string",
          "OwnerTaxNumber": "string"
        }
      }
    ],
    "Notes": [
      "string"
    ]
  }
});
var config = {
  method: 'post',
  url: 'https://apitest.nilvera.com/earchive/Send/Model/Download',
  headers: { 
    'Authorization': 'Bearer <API KEY>', 
    'Content-Type': 'application/json'
  },
  data : data
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
